## ia32-libs 2.7ubuntu26.2

=== src/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
SHLIBDIR ?= $(DESTDIR)/lib

VERSION = $(shell cat ../VERSION)
LIBVERSION = 1

LIBA=libsepol.a 
TARGET=libsepol.so
LIBPC=libsepol.pc
LIBSO=$(TARGET).$(LIBVERSION)
OBJS= $(patsubst %.c,%.o,$(wildcard *.c))
LOBJS= $(patsubst %.c,%.lo,$(wildcard *.c))
CFLAGS ?= -Werror -Wall -W -Wundef -Wshadow -Wmissing-noreturn -Wmissing-format-attribute
override CFLAGS += -I. -I../include -D_GNU_SOURCE

all: $(LIBA) $(LIBSO) $(LIBPC)

$(LIBA):  $(OBJS)
	$(AR) rcs $@ $^
	ranlib $@

$(LIBSO): $(LOBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ -Wl,-soname,$(LIBSO),--version-script=libsepol.map,-z,defs
	ln -sf $@ $(TARGET) 

$(LIBPC): $(LIBPC).in
	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCLUDEDIR):' < $< > $@

%.o:  %.c 
	$(CC) $(CFLAGS) -fPIC -c -o $@ $<

%.lo:  %.c
	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<

install: all
	test -d $(LIBDIR) || install -m 755 -d $(LIBDIR)
	install -m 644 $(LIBA) $(LIBDIR)
	test -d $(SHLIBDIR) || install -m 755 -d $(SHLIBDIR)
	install -m 755 $(LIBSO) $(SHLIBDIR)
	test -d $(LIBDIR)/pkgconfig || install -m 755 -d $(LIBDIR)/pkgconfig
	install -m 644 $(LIBPC) $(LIBDIR)/pkgconfig
	cd $(LIBDIR) && ln -sf ../../`basename $(SHLIBDIR)`/$(LIBSO) $(TARGET)

relabel:
	/sbin/restorecon $(SHLIBDIR)/$(LIBSO)

clean: 
	-rm -f $(LIBPC) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(TARGET)

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== include/drm/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# include/drm/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#  Copyright 2005 Adam Jackson.
#
#  Permission is hereby granted, free of charge, to any person obtaining a
#  copy of this software and associated documentation files (the "Software"),
#  to deal in the Software without restriction, including without limitation
#  on the rights to use, copy, modify, merge, publish, distribute, sub
#  license, and/or sell copies of the Software, and to permit persons to whom
#  the Software is furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice (including the next
#  paragraph) shall be included in all copies or substantial portions of the
#  Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.  IN NO EVENT SHALL
#  ADAM JACKSON BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
#  IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
#  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# XXX airlied says, nothing besides *_drm.h and drm*.h should be necessary.
# however, r300 and via need their reg headers installed in order to build.
# better solutions are welcome.


pkgdatadir = $(datadir)/libdrm
pkgincludedir = $(includedir)/libdrm
pkglibdir = $(libdir)/libdrm
pkglibexecdir = $(libexecdir)/libdrm
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
#am__append_1 = vmwgfx_drm.h
subdir = include/drm
DIST_COMMON = $(am__klibdrminclude_HEADERS_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__klibdrminclude_HEADERS_DIST = drm.h drm_mode.h drm_sarea.h \
	i915_drm.h mga_drm.h nouveau_drm.h r128_drm.h radeon_drm.h \
	savage_drm.h sis_drm.h via_drm.h mach64_drm.h vmwgfx_drm.h
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(klibdrmincludedir)"
HEADERS = $(klibdrminclude_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal -I /opt/xorg/share/aclocal
ALLOCA = 
AMTAR = ${SHELL} /home/cworth/src/xorg/drm/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/cworth/src/xorg/drm/missing --run autoconf
AUTOHEADER = ${SHELL} /home/cworth/src/xorg/drm/missing --run autoheader
AUTOMAKE = ${SHELL} /home/cworth/src/xorg/drm/missing --run automake-1.11
AWK = gawk
CAIRO_CFLAGS = -D_REENTRANT -I/opt/xorg/include/pixman-1 -I/opt/xorg/include -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12  
CAIRO_LIBS = -lcairo  
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CLOCK_LIB = -lrt
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -C
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_i386
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUDEV_CFLAGS =  
LIBUDEV_LIBS = -ludev  
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/cworth/src/xorg/drm/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libdrm
PACKAGE_BUGREPORT = dri-devel@lists.sourceforge.net
PACKAGE_NAME = libdrm
PACKAGE_STRING = libdrm 2.4.18
PACKAGE_TARNAME = libdrm
PACKAGE_URL = 
PACKAGE_VERSION = 2.4.18
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PTHREADSTUBS_CFLAGS =  
PTHREADSTUBS_LIBS =  
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 2.4.18
WARN_CFLAGS =  -Wall -Wextra -Wsign-compare -Werror-implicit-function-declaration -Wpointer-arith -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wpacked -Wswitch-enum -Wmissing-format-attribute -Wstrict-aliasing=2 -Winit-self -Wunsafe-loop-optimizations -Wdeclaration-after-statement -Wold-style-definition -Wno-missing-field-initializers -Wno-unused-parameter -Wno-attributes -Wno-long-long -Winline
abs_builddir = /home/cworth/src/xorg/drm/include/drm
abs_srcdir = /home/cworth/src/xorg/drm/include/drm
abs_top_builddir = /home/cworth/src/xorg/drm
abs_top_srcdir = /home/cworth/src/xorg/drm
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/cworth/src/xorg/drm/install-sh
kernel_source = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgconfigdir = ${exec_prefix}/lib/pkgconfig
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
klibdrmincludedir = ${includedir}/drm
klibdrminclude_HEADERS = drm.h drm_mode.h drm_sarea.h i915_drm.h \
	mga_drm.h nouveau_drm.h r128_drm.h radeon_drm.h savage_drm.h \
	sis_drm.h via_drm.h mach64_drm.h $(am__append_1)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu include/drm/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu include/drm/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-klibdrmincludeHEADERS: $(klibdrminclude_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(klibdrmincludedir)" || $(MKDIR_P) "$(DESTDIR)$(klibdrmincludedir)"
	@list='$(klibdrminclude_HEADERS)'; test -n "$(klibdrmincludedir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(klibdrmincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(klibdrmincludedir)" || exit $$?; \
	done

uninstall-klibdrmincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(klibdrminclude_HEADERS)'; test -n "$(klibdrmincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(klibdrmincludedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(klibdrmincludedir)" && rm -f $$files

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:

=== changelog ===
gnutls26 (2.8.5-2) unstable; urgency=low

  * Add a huge bunch of lintian overrides for the guile stuff to make dak
    happy.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 13 Nov 2009 19:53:04 +0100

gnutls26 (2.8.5-1) unstable; urgency=low

  * Add datefudge to build-depends. (Only needed for the pkcs1-pad test.)
  * Switch to '3.0 (quilt)' source format, allowing us to use upstreams
    orig.tar.bz2 without repacking it to gz.
  * New upstream version.
    + Drop patches/20_fixtimebomb.diff.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 12 Nov 2009 19:57:08 +0100

gnutls26 (2.8.4-2) unstable; urgency=high

  * [20_fixtimebomb.diff] Fix testsuite error. Closes: #552920

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Nov 2009 13:21:27 +0100

gnutls26 (2.8.4-1) unstable; urgency=low

  * New upstream version.
    + Drop debian/patches/15_openpgp.diff.
  * Sync priorities with override file, libgnutls26 has been bumped from
    important to standard.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 26 Sep 2009 10:33:52 +0200

gnutls26 (2.8.3-3) unstable; urgency=low

  * Empty dependency_libs in la-files. (Squeeze release goal.)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Sep 2009 09:09:22 +0200

gnutls26 (2.8.3-2) unstable; urgency=low

  * [ debian/patches/15_openpgp.diff ] The CVE-2009-2730 patch broke
    openpgp connections.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Aug 2009 14:14:48 +0200

gnutls26 (2.8.3-1) unstable; urgency=high

  * New upstream version.
    + Stops hardcoding a hard dependency on the versions of gcrypt and tasn it
      was built against. Closes: #540449
    + Fixes CVE-2009-2730, a vulnerability related to NUL bytes in X.509
      certificate name fields. Closes: #541439        GNUTLS-SA-2009-4
      http://lists.gnu.org/archive/html/help-gnutls/2009-08/msg00011.html
  * Drop 15_chainverify_expiredcert.diff, included upstream.
  * Urgency high, since 541439 applies to testing, too.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 14 Aug 2009 19:14:29 +0200

gnutls26 (2.8.1-2) unstable; urgency=low

  [ Simon Josefsson ]
  * Remove cruft in rules file.
  * Remove patches/15_tasn1inpc.diff, not needed.

  [ Andreas Metzler ]
  * Finally add an entry to the NEWS.Debian file concerning the deprecation of
    RSA-MD2 and RSA-MD5 for signature verification. Closes: #514578
  * Upload to unstable.
  * 15_chainverify_expiredcert.diff: New patch, pulled from upstream GIT.
    Fix testsuite error caused by expired certificate.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Aug 2009 19:12:51 +0200

gnutls26 (2.8.1-1) experimental; urgency=low

  * New upstream stable release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 11 Jun 2009 09:15:28 +0200

gnutls26 (2.7.14-1) experimental; urgency=low

  * [debian/control] set section setting of source package to libs instead of
    devel.
  * New upstream version.
    + Drop debian/patches/16_symbolversioning_fix.diff, included upstream.
    + Bump shlibs, new symbols added.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 26 May 2009 19:51:41 +0200

gnutls26 (2.7.12-1) experimental; urgency=low

  * Fix typo in changelog. Closes: #526427
  * New upstream release.
    + Does not ship the scripts libgnutls-extra-config and libgnutls-config
      and the .m4 snippet to use it anymore. Please switch to pkg-config or
      standard autoconf test. Drop manpages and
      both patches/13_lessdeps_gnutls-config.diff and
      patches/13_lessdeps_gnutls-config.diff from the debian diff.
    + Update remaining patches.
    + Bump shlibs, new symbols added.
  * [patches/16_symbolversioning_fix.diff] Since gnutls_x509_crq_set_key was
    already present in 2.6.x it needs to be versioned GNUTLS_1_4 instead of
    GNUTLS_2_8.
  * New upstream uses separate ./configure scripts for the different
    libraries. Invoke the main ./configure script with
    --cache-file=$(CURDIR)/config.cache to speed things up.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 21 May 2009 11:18:35 +0200

gnutls26 (2.6.6-1) unstable; urgency=high

  * use @LTLIBTASN1@ instead of @LIBTASN1@ in Libs.private of *.pc.in. This
    way lib-link.m4 gives us -ltasn1 instead of /usr/lib/libtasn1.so.
  * New upstream security release.
    + libgnutls: Corrected double free on signature verification failure.
      GNUTLS-SA-2009-1 CVE-2009-1415
    + libgnutls: Fix DSA key generation. Noticed when investigating the
      previous GNUTLS-SA-2009-1 problem. All DSA keys generated using GnuTLS
      2.6.x are corrupt.  See the advisory for more details.
      GNUTLS-SA-2009-2 CVE-2009-1416
    + libgnutls: Check expiration/activation time on untrusted certificates.
      Before the library did not check activation/expiration times on
      certificates, and was documented as not doing so.
      GNUTLS-SA-2009-3 CVE-2009-1417
   * The former two issues only apply to gnutls 2.6.x. The latter is a
     behavior change, add a NEWS.Debian file to document it.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Apr 2009 19:00:21 +0200

gnutls26 (2.6.5-1) unstable; urgency=low

  * Sync sections in debian/control with override file. libgnutls26-dbg is
    section debug, guile-gnutls is section lisp.
  * New upstream version. (Needed for Libtasn1-3 2.0)
  * New patch 15_tasn1inpc.diff. Make sure libtasn1 is listed in Libs.private.
  * Standards-Version: 3.8.1, no changes required.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 14 Apr 2009 14:23:19 +0200

gnutls26 (2.6.4-2) unstable; urgency=low

  * Upload to unstable.
  * Merge changelog entries from unstable and experimental.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 16 Feb 2009 16:43:37 +0100

gnutls26 (2.6.4-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 07 Feb 2009 14:32:57 +0100

gnutls26 (2.6.3-1) experimental; urgency=low

  * New upstream version.
    + Corrects bug gnutls-cli which caused a rehandshake request


=== debian/changelog ===
ia32-libs (2.7ubuntu26.2) lucid-proposed; urgency=low

  * Freshen packages
  * Add libgvfscommon0 (LP: #619293)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 28 Jun 2011 01:14:06 -0700

=== control ===
Source: libtasn1-3
Section: libs
Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>, Eric Dorland <eric@debian.org>, James Westby <jw+debian@jameswestby.net>, Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper (>> 5.0.0), cdbs, bison, gtk-doc-tools, texinfo, autotools-dev, texlive-latex-base
Standards-Version: 3.8.3
Priority: important
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnutls/packages/libtasn1-3/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnutls/packages/libtasn1-3/trunk/
Homepage: http://www.gnu.org/software/libtasn1/

Package: libtasn1-3-dev
Section: libdevel
Architecture: any
Depends: libtasn1-3 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgnutls-dev (<< 0.5.1-4), libtasn1-dev
Provides: libtasn1-dev
Priority: optional
Description: Manage ASN.1 structures (development)
 Manage ASN1 (Abstract Syntax Notation One) structures.
 The main features of this library are:
   * on-line ASN1 structure management that doesn't require any C code
     file generation.
   * off-line ASN1 structure management with C code file generation
     containing an array.
   * DER (Distinguish Encoding Rules) encoding
   * no limits for INTEGER and ENUMERATED values
 .
 This package contains header files and libraries for static linking.

Package: libtasn1-3-dbg
Section: debug
Architecture: any
Depends: libtasn1-3 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Description: Manage ASN.1 structures (development)
 Manage ASN1 (Abstract Syntax Notation One) structures.
 The main features of this library are:
   * on-line ASN1 structure management that doesn't require any C code
     file generation.
   * off-line ASN1 structure management with C code file generation
     containing an array.
   * DER (Distinguish Encoding Rules) encoding
   * no limits for INTEGER and ENUMERATED values
 .
 This package contains symbol files for debugging.

Package: libtasn1-3
Section: libs
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtasn1-2 (= 0.3.1-1)
Description: Manage ASN.1 structures (runtime)
 Manage ASN1 (Abstract Syntax Notation One) structures.
 The main features of this library are:
   * on-line ASN1 structure management that doesn't require any C code
     file generation.
   * off-line ASN1 structure management with C code file generation
     containing an array.
   * DER (Distinguish Encoding Rules) encoding
   * no limits for INTEGER and ENUMERATED values
 .
 This package contains runtime libraries.

Package: libtasn1-3-bin
Section: devel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtasn1-2-bin, libtasn1-2 (<< 0.2.17-1)
Replaces: libtasn1-2-bin, libtasn1-2 (<< 0.2.17-1)
Description: Manage ASN.1 structures (binaries)
 Manage ASN1 (Abstract Syntax Notation One) structures.
 The main features of this library are:
   * on-line ASN1 structure management that doesn't require any C code
     file generation.
   * off-line ASN1 structure management with C code file generation
     containing an array.
   * DER (Distinguish Encoding Rules) encoding
   * no limits for INTEGER and ENUMERATED values
 .
 This package contains programs to encode, decode and parse asn1 data
 structures.

=== debian/control ===
Source: xorg
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Drew Parsons <dparsons@debian.org>, Brice Goglin <bgoglin@debian.org>
Standards-Version: 3.8.4
Build-Depends: dpkg (>= 1.7.0), po-debconf, debhelper (>= 7.3.15ubuntu3)
Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git

Package: x11-common
Architecture: all
Depends: ${misc:Depends}, debianutils (>= 1.13), lsb-base (>= 1.3-9ubuntu2)
Pre-Depends: debconf | debconf-2.0
Conflicts: xfree86-common, xorg-common, xserver-common (<< 7), x-common,
 xserver-xorg (<< 1:7.4~), xserver-xfree86 (<< 1:7.0),
 libxft-dev (<= 2.1.8.2-5),  aee (<= 2.2.15b-1), ascd (<= 0.13.2-3),
 bibview (<= 2.2-8), fvwm1 (<= 1.24r-46), grace (<= 1:5.1.18-1),
 groff (<= 1.18.1.1-7), hfsutils-tcltk (<= 3.2.6-7), login.app (<= 1.2.1-18),
 oneko (<= 1.2.sakura.6-1), procmeter (<= 2.5.1-11), propsel (<= 971130-5.3),
 regexplorer (<= 0.1.6-12), tkseti (<= 3.06-1), wdm (<= 1.28-1),
 wily (<= 0.13.41-6), wmnetselect (<= 0.85-5.5), wmsensors (<= 1.0.4-3.4),
 wmtv (<= 0.6.5-15), xbanner (<= 1.31-23), xcolors (<= 1.5a-2),
 xcolorsel (<= 1.1a-11), xezmlm (<= 1.0.3-11), xfs-xtt (<= 1:1.4.1.xf430-6),
 xgdipc (<= 1.2-0.3), xgmod (<= 3.1-9), xgraph (<= 12.1-3),
 xlogmaster (<= 1.6.0-8), xmailbox (<= 2.5-9), xmem (<= 1.20-19),
 xnecview (<= 1.34-2), xodo (<= 1.2-9.2), xturqstat (<= 2.2.2sarge1),
 xwit (<= 3.4-6), lbxproxy (<< 7.0), proxymngr (<< 7.0), twm (<< 7.0),
 xbase-clients (<< 1:7.0), xdm (<= 1:1.0.1-6), xfs (<< 1:1.0), xfwp (<< 7.0),
 xutils (<< 1:7.0), xvfb (<< 1:1.0), qcam (<= 0.91-11.1), twlog (<= 1.3-4),
 xdmx (<< 1:1.0), bugsx (<= 1.08-8), buici-clock (<= 0.4.5+b1),
 ctwm (<= 3.7-2), emelfm (<= 0.9.2-7), fte-xwindow (<= 0.50.0-1.3),
 fvwm95 (<= 2.0.43ba-23+b1), gerstensaft (<= 0.2-5.1), gipsc (<= 0.4.3-2),
 gradio (<= 1.0.1-6), hanterm-classic (<= 3.1.6.0-4),
 hanterm-xf (<= 1:3.3.1p18-9.2), ibp (<= 0.21-4),
 isdnutils-xtools (<= 1:3.8.2005-12-06-4), ivtools-bin (<= 1.1.3-5),
 kdrill (<= 6.4-2.1), kinput2-canna (<= 3.1-7), kinput2-canna-wnn (<= 3.1-7),
 kinput2-wnn (<= 3.1-7), kterm (<= 6.2.0-45), lm-batmon (<= 0.96-3),
 lwm (<= 1.2.1-1), mctools-lite (<= 970129-16), mgp (<= 1.11b-6),
 olvwm (<= 4.4.3.2p1.4-21), olwm (<= 3.2p1.4-21), pixmap (<= 2.6pl4-14.1),
 plotmtv (<= 1.4.4t-8.1), ppxp-x11 (<= 0.2001080415-14), seyon (<= 2.20c-20),
 skkinput (<= 1:2.06.4-4), tkdesk (<= 2.0-5), videogen (<= 0.32-1),
 vtwm (<= 5.4.7-2), w9wm (<= 0.4.2-4), wmavgload (<= 0.7.0-6.1),
 wmcpu (<= 1.3-4.1), wmdate (<= 0.5-7.1), wmnet (<= 1.05-12),
 wmscope (<= 3.0-9.1), xautolock (<= 1:2.1-6), xbatt (<= 1.2.1-4),
 xbattbar (<= 1.4.2-3.1), xcal (<= 4.1-18.2),
 xcalendar-i18n (<= 4.0.0.i18p1-13.1), xcb (<= 2.4-4), xclip (<= 0.08-5),
 xclips (<= 6.21-6), xdkcal (<= 0.9d-2.1), xdu (<= 3.0-14),
 xengine (<= 1.11-9), xfaces (<= 3.3-25), xfishtank (<= 2.2-23.1),
 xfm (<= 1.4.3-8), xinput (<= 1.2-5.2), xipmsg (<= 0.8088-1.1),
 xlbiff (<< 4.1-4), xli (<= 1.17.0-21), xlockmore (<= 1:5.21-1),
 xlockmore-gl (<= 1:5.21-1), xmeter (<= 1.15-6), xmix (<= 2.1-5),
 xmon (<= 1.5.6-1.3), xpostit (<= 3.3.1-8.2), xprint (<= 1:0.1.0.alpha1-13),
 xrn (<= 9.02-7.1), xsysinfo (<= 1.7-2), xtel (<= 3.3.0-5.4),
 xtoolwait (<= 1.3-6), xtrlock (<= 2.0-11), xview-clients (<= 3.2p1.4-21),
 xviewg (<= 3.2p1.4-21), xviewg-dev (<= 3.2p1.4-21), xvkbd (<= 2.6-2.1),
 xxkb (<= 1.10-2.1), xzoom (<= 0.3-17), pgaccess (<= 1:0.98.8.20030520-2),
 xearth (<= 1.1-10.2), libmotif-dev (<= 2.2.3-1.3),
 motif-clients (<= 2.2.3-1.3), xslideshow (<= 3.1-8.1), xtrkcad (<= 3.1.4-1),
 pmud (<= 0.10-9), xnest (<< 1:1.0), xterm (<< 208-1), xmh (<= 6.8.2.dfsg.1-4),
 beaver (<= 0.2.5-2), lsb-core (<= 3.1-4), yank (<=0.2.1-7.2),
 xpmumon (<= 1.3.0), ivtools-dev (<= 1.1.3-5), ppxp (<= 0.2001080415-14),
 guitar (<= 0.1.4-11), xftp, xext, xpaste, ghostview, xv (<= 3.10a-26),
 xserver-xfree86-dbg, grace6 (<= 5.99.0+final-4), xephem (<= 3.4-5),
 opera (<< 9.10-20060616), hamsoft (<< 0.2.3-1), phototk, tkworld,
 ucbmpeg-play (<< 2.3p-13), netscape-base-4, communicator-smotif-477, epan,
 navigator-smotif-477, stella (<< 2.2-1), xfractint (<< 20.3.01-1), xgobi,
 xpostitplus, xisp, vide (<= 1.21-3), xqbiff (<= 0.75-4)
Replaces: xfree86-common, xorg-common, xserver-common (<< 7), x-common
Description: X Window System (X.Org) infrastructure
 x11-common contains the filesystem infrastructure required for further
 installation of the X Window System in any configuration; it does not
 provide a full installation of clients, servers, libraries, and utilities
 required to run the X Window System.
 .
 A number of terms are used to refer to the X Window System, including "X",
 "X Version 11", "X11", "X11R6", and "X11R7".  The version of X used in
 Debian is derived from the version released by the X.Org Foundation, and
 is thus often also referred to as "X.Org".  All of the preceding quoted
 terms are functionally interchangeable in an Debian system.

Package: xserver-xorg
Architecture: any
Conflicts: xserver-xfree86 (<< 6.8.2.dfsg.1-1), xserver-common (<< 7), x11-common (<< 1:7.3+11)
Replaces: xserver-common (<< 7), x11-common (<< 1:7.3+11)
Depends:
 xserver-xorg-core (>= 2:1.7),
 xserver-xorg-video-all | xserver-xorg-video-6,
 xserver-xorg-input-all | xserver-xorg-input-7,
 xserver-xorg-input-evdev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc sparc],
 hal (>= 0.5.12~git20090406) [kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
 xkb-data (>= 1.4),
 x11-xkb-utils,
 console-setup
Recommends:
 libgl1-mesa-dri,
Description: the X.Org X server
 This package depends on the full suite of the server and drivers for the
 X.Org X server.  It does not provide the actual server itself.

Package: xserver-xorg-video-all
Architecture: any
Depends:
 ${F:XServer-Xorg-Video-Depends},
 ${misc:Depends},
 x11-common,
Replaces: xserver-xorg-driver-all
Conflicts: xserver-xorg-driver-all
Description: the X.Org X server -- output driver metapackage
 This package depends on the full suite of output drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.

Package: xserver-xorg-input-all
Architecture: any
Depends:
 ${F:XServer-Xorg-Input-Depends},
 ${misc:Depends},
 x11-common,
Description: the X.Org X server -- input driver metapackage
 This package depends on the full suite of input drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.

Package: xorg
Architecture: any
Depends:
 xserver-xorg,
 libgl1-mesa-glx | libgl1,
 libgl1-mesa-dri,
 libglu1-mesa,
 xfonts-base (>= 1:1.0.0-1),
 xfonts-100dpi (>= 1:1.0.0-1),
 xfonts-75dpi (>= 1:1.0.0-1),
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 xauth,
 xinit,
 xfonts-utils,
 xkb-data,
 xorg-docs-core,
 xterm | x-terminal-emulator,
 ${misc:Depends},
 x11-common,
 xinput,
Recommends:
 xfonts-scalable (>= 1:1.0.0-1),
Provides: x-window-system, x-window-system-core
Suggests: xorg-docs
Description: X.Org X Window System
 This metapackage provides the components for a standalone
 workstation running the X Window System.  It provides the X libraries, an X
 server, a set of fonts, and a group of basic X clients and utilities.
 .
 Higher level metapackages, such as those for desktop environments, can
 depend on this package and simplify their dependencies.
 .
 It should be noted that a package providing x-window-manager should also
 be installed to ensure a comfortable X experience.

Package: xorg-dev
Architecture: all
Depends:
 libdmx-dev,
 libfontenc-dev,
 libfs-dev,
 libice-dev,
 libsm-dev,
 libx11-dev,
 libxau-dev,
 libxaw7-dev,
 libxcomposite-dev,
 libxcursor-dev,
 libxdamage-dev,
 libxdmcp-dev,
 libxext-dev,
 libxfixes-dev,
 libxfont-dev,
 libxft-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbfile-dev,
 libxmu-dev,
 libxmuu-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxres-dev,
 libxss-dev,
 libxt-dev,
 libxtst-dev,
 libxv-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 x11proto-bigreqs-dev,
 x11proto-composite-dev,
 x11proto-core-dev,
 x11proto-damage-dev,
 x11proto-dmx-dev,
 x11proto-fixes-dev,
 x11proto-fonts-dev,
 x11proto-gl-dev,
 x11proto-input-dev,
 x11proto-kb-dev,
 x11proto-randr-dev,
 x11proto-record-dev,
 x11proto-render-dev,
 x11proto-resource-dev,
 x11proto-scrnsaver-dev,
 x11proto-video-dev,
 x11proto-xcmisc-dev,
 x11proto-xext-dev,
 x11proto-xf86bigfont-dev,
 x11proto-xf86dga-dev,
 x11proto-xf86dri-dev,
 x11proto-xf86vidmode-dev,
 x11proto-xinerama-dev,
 xserver-xorg-dev,
 xtrans-dev,
 ${misc:Depends},
 x11-common,
Description: the X.Org X Window System development libraries
 This metapackage provides the development libraries for the X.Org X Window
 System.
 .
 X Window System design documentation, manual pages, library reference
 works, static versions of the shared libraries, and C header files are
 supplied by the packages depended on by this metapackage.
 .
 Note that this is a convenience package for users and is not a package for
 Debian developers to have their package depend on.

Package: xlibmesa-gl
Section: libs
Architecture: all
Depends:
 libgl1-mesa-glx,
 ${misc:Depends},
 x11-common,
Description: transitional package for Debian etch
 This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
 Debian etch. It may be safely removed from your system.

Package: xlibmesa-gl-dev
Section: libdevel
Architecture: all
Depends:
 libgl1-mesa-dev,
 ${misc:Depends},
 x11-common,
Description: transitional package for Debian etch
 This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
 Debian etch. It may be safely removed from your system.

Package: xlibmesa-glu
Section: libdevel
Architecture: all
Depends:
 libglu1-mesa,
 ${misc:Depends},
 x11-common,
Description: transitional package for Debian etch
 This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
 Debian etch. It may be safely removed from your system.

Package: libglu1-xorg
Section: libs
Architecture: all
Depends:
 libglu1-mesa,
 ${misc:Depends},
 x11-common,
Description: transitional package for Debian etch
 This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
 Debian etch. It may be safely removed from your system.
 
Package: libglu1-xorg-dev
Section: libdevel
Architecture: all
Depends:
 libglu1-mesa-dev,
 ${misc:Depends},
 x11-common,
Description: transitional package for Debian etch
 This package is provided to smooth upgrades from Debian 3.1 ("sarge") to
 Debian etch. It may be safely removed from your system.

Package: xbase-clients
Section: x11
Architecture: all
Depends:
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 xauth,
 xinit,
 ${misc:Depends},
 x11-common,
Description: miscellaneous X clients - metapackage
 An X client is a program that interfaces with an X server (almost always via
 the X libraries), and thus with some input and output hardware like a
 graphics card, monitor, keyboard, and pointing device (such as a mouse).
 .
 This package provides a miscellaneous assortment of several dozen X clients
 that ship with the X Window System.
 .
 This package is provided for transition from earlier Debian releases, the
 programs formerly in xutils and xbase-clients having been split out in smaller
 packages.

Package: xutils
Section: x11
Architecture: all
Depends:
 x11-xfs-utils,
 x11-utils,
 x11-xserver-utils,
 x11-session-utils,
 xfonts-utils,
 ${misc:Depends},
 x11-common,
Description: X Window System utility programs metapackage
 xutils provides a set of utility programs shipped with the X Window System.
 Many of these programs are useful even on a system that does not have any X
 clients or X servers installed.
 .
